
Redmine - Defect #2436

strip variables from received mail body (in receive_mail)

2009-01-03 14:01 - Jérémy Lal

Status: Closed Start date: 2009-01-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.8.2   

Resolution: Fixed Affected version:  

Description

I just tested sending an email to redmine, with

Project: foo

in the email body;

then fetched the email using :

rake redmine:email:receive_imap ...

The issue was created using that method, but the

Project: foo

line is left in the issue body.

I guess other variables would still be there, too (?).

One expects theses variables to be stripped from the issue body.

Associated revisions

Revision 2426 - 2009-02-09 21:17 - Jean-Philippe Lang

Strip keywords from received email body (#2436).

History

#1 - 2009-01-16 10:26 - Gerrit Kaiser

+1 bothering me a little, too

#2 - 2009-02-08 22:02 - Isaiah DeRose-Wilson

I agree, it would be really nice if redmine could remove that information before updating the ticket. Also I have some clients that reply to their ticket

notification messages, and it would be nice if redmine remove the ticket details from the reply message before adding it as an update to the ticket.

#3 - 2009-02-09 21:22 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.2

- Resolution set to Fixed

Not actually a defect, but it's done in r2426.

I agree, it would be really nice if redmine could remove that information before updating the ticket. Also I have some clients that reply to their

ticket notification messages, and it would be nice if redmine remove the ticket details from the reply message before adding it as an update to

the ticket.

 Isaiah, if you have a solution to propose, please fill a feature request.

Maybe we could add some kind of delimiter at the very top of the notification so that we can detect the end of the reply later.

#4 - 2009-02-10 04:57 - Eric Davis

Jean-Philippe Lang wrote:

Isaiah, if you have a solution to propose, please fill a feature request.

Maybe we could add some kind of delimiter at the very top of the notification so that we can detect the end of the reply later.

 I use a --- delimiter to strip content from email.  Works good because it will strip email signature lines (typically start with --) and strips most of the

extra content from Redmine emails.  I can port it over if it would be useful.
#5 - 2009-02-21 20:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2512.

#6 - 2009-11-28 13:20 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
